Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 727758 (glibc-2.31-stable) - sys-libs/glibc-2.31-r6 sys-libs/glibc-2.30-r9 stabilization
Summary: sys-libs/glibc-2.31-r6 sys-libs/glibc-2.30-r9 stabilization
Status: RESOLVED FIXED
Alias: glibc-2.31-stable
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Toolchain Maintainers
URL: https://sourceware.org/glibc/wiki/Rel...
Whiteboard:
Keywords: STABLEREQ
Depends on: 709416 717956 720024 727736 727738 727740 727742 727744 727762 732234
Blocks: CVE-2020-6096
  Show dependency tree
 
Reported: 2020-06-10 06:30 UTC by Andreas K. Hüttel
Modified: 2020-12-23 02:21 UTC (History)
2 users (show)

See Also:
Package list:
sys-libs/glibc-2.30-r9 sys-libs/glibc-2.31-r6
Runtime testing required: ---
nattka: sanity-check-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas K. Hüttel gentoo-dev 2020-06-10 06:30:41 UTC
Tracker that will become stable request. No talking please.
Comment 1 Andreas K. Hüttel gentoo-dev 2020-08-01 17:02:30 UTC
Arches please test and stabilize:

sys-libs/glibc-2.30-r9
sys-libs/glibc-2.31-r6

Notes on the two versions:

sys-libs/glibc-2.30-r9
----------------------

This version is largely identical to current stable. It contains precisely one change: an important bugfix (only) for sparc (where it already is stable).

As such, even though few users will have tried this version, it should be unproblematic.

There may be test failures, but please *only* have them block anything if they are regressions compared to current stable (2.30-r8).

sys-libs/glibc-2.31-r6
----------------------

True version bump. See $URL for the upstream release notes, and also
https://wiki.gentoo.org/wiki/Project:Toolchain#glibc-2.31
All blockers that we know of are fixed.

The test suite should pass on amd64. 
On other arches, your mileage may vary (please also see the upstream wiki).
Comment 2 Sam James archtester gentoo-dev Security 2020-08-03 17:58:39 UTC
arm64 stable
Comment 3 Sam James archtester gentoo-dev Security 2020-08-04 15:11:17 UTC
arm stable
Comment 4 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2020-08-10 16:42:51 UTC
amd64 stable
Comment 5 Sam James archtester gentoo-dev Security 2020-08-11 22:29:15 UTC
sparc done
Comment 6 Sam James archtester gentoo-dev Security 2020-08-12 07:38:00 UTC
x86 done
Comment 7 Sergei Trofimovich gentoo-dev 2020-08-12 16:53:15 UTC
hppa stable
Comment 8 Sam James archtester gentoo-dev Security 2020-09-06 04:11:59 UTC
ppc stable
Comment 9 Sam James archtester gentoo-dev Security 2020-09-06 04:12:06 UTC
ppc64 stable
Comment 10 Sam James archtester gentoo-dev Security 2020-09-06 04:12:14 UTC
Closing! \o/
Comment 11 Sergei Trofimovich gentoo-dev 2020-09-07 08:34:05 UTC
s390@ was missed
Comment 12 Andreas K. Hüttel gentoo-dev 2020-09-27 17:29:03 UTC
@ s390: ping
Comment 13 Andreas K. Hüttel gentoo-dev 2020-10-09 21:30:30 UTC
(In reply to Andreas K. Hüttel from comment #12)
> @ s390: ping
Comment 14 Andreas K. Hüttel gentoo-dev 2020-10-21 18:14:59 UTC
s390: ping!
Comment 15 NATTkA bot gentoo-dev 2020-10-30 19:33:03 UTC
Unable to check for sanity:

> package masked: sys-libs/glibc-2.30-r9
Comment 16 Sam James archtester gentoo-dev Security 2020-12-23 02:21:57 UTC
For s390, I stabled bug 759640 instead.

dilfridge said no need to bother backdating to this bug. I can if you guys change your mind but IMO no need.